--- old/usr/src/lib/iconv_modules/Makefile	2019-07-11 01:13:11.607311465 +0000
+++ new/usr/src/lib/iconv_modules/Makefile	2019-07-11 01:13:11.639457089 +0000
@@ -35,6 +35,8 @@
 
 all install lint clean clobber: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	cd $@; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/common/Makefile	2019-07-11 01:13:12.191517382 +0000
+++ new/usr/src/lib/iconv_modules/common/Makefile	2019-07-11 01:13:12.211566548 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/euro/Makefile	2019-07-11 01:13:12.713365824 +0000
+++ new/usr/src/lib/iconv_modules/euro/Makefile	2019-07-11 01:13:12.732626037 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/euro/Makefile.com	2019-07-11 01:13:13.221114732 +0000
+++ new/usr/src/lib/iconv_modules/euro/Makefile.com	2019-07-11 01:13:13.239354334 +0000
@@ -44,18 +44,18 @@
 
 LDFLAGS = $(DYNFLAGS) $(LDLIBS)
 
-CFLAGS		+= $(INCLUDES) $(XREGSFLAG) -D_REENTRANT
+CFLAGS		+= $(XREGSFLAG) -D_REENTRANT
 
-CLEANFILES +=	core ../common/tbl.h
+CLEANFILES +=	tbl.h
 
-$(ALL_SOS): ../common/euro.h ../common/euro.c ../common/tbl.h
+$(ALL_SOS): ../common/euro.h ../common/euro.c tbl.h
 	TABLE=`echo $@ | $(TR) -d "-" | sed -e s:%:_:g | /usr/bin/cut -d. -f1` ; \
-	$(CC) $(CFLAGS) -DT_$$TABLE ../common/euro.c -c -o $@.o ; \
+	$(CC) $(CFLAGS) $(CPPFLAGS) -DT_$$TABLE ../common/euro.c -c -o $@.o ; \
 	$(LD) $(LDFLAGS) -o $@ $@.o $(LDLIBS)
 	$(POST_PROCESS_SO)
 
-../common/tbl.h: ../genincl $(TABLES:%=../tbls/%)
-	cd ..; ./genincl > common/tbl.h
+tbl.h: ../genincl $(TABLES:%=../tbls/%)
+	(cd ..; ./genincl) > $@
 
 $(CREATE_LINKS):  $(ICONV_LINK_TARGETS)
 	$(SYMLINK) -f 646%8859-1.so $(ICONV_DIR)/646%8859-15.so
--- old/usr/src/lib/iconv_modules/hi_IN/Makefile	2019-07-11 01:13:13.722648455 +0000
+++ new/usr/src/lib/iconv_modules/hi_IN/Makefile	2019-07-11 01:13:13.739853005 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/ja/Makefile	2019-07-11 01:13:14.232974393 +0000
+++ new/usr/src/lib/iconv_modules/ja/Makefile	2019-07-11 01:13:14.250892442 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/ko/Makefile	2019-07-11 01:13:14.741476769 +0000
+++ new/usr/src/lib/iconv_modules/ko/Makefile	2019-07-11 01:13:14.760024421 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/th_TH/Makefile	2019-07-11 01:13:15.209879066 +0000
+++ new/usr/src/lib/iconv_modules/th_TH/Makefile	2019-07-11 01:13:15.225550164 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/utf-8/Makefile	2019-07-11 01:13:15.613321372 +0000
+++ new/usr/src/lib/iconv_modules/utf-8/Makefile	2019-07-11 01:13:15.625233605 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/utf-8/Makefile.com	2019-07-11 01:13:16.108501989 +0000
+++ new/usr/src/lib/iconv_modules/utf-8/Makefile.com	2019-07-11 01:13:16.133479327 +0000
@@ -38,7 +38,7 @@
 include $(SRC)/lib/iconv_modules/Makefile.iconv
 include $(SRC)/lib/iconv_modules/utf-8/Makefile.iconv
 
-CLEANFILES =    *.o *.so core *.bt
+CLEANFILES =    *.o *.so *.bt
 
 .NO_PARALLEL:
 
--- old/usr/src/lib/iconv_modules/vi/Makefile	2019-07-11 01:13:16.618573037 +0000
+++ new/usr/src/lib/iconv_modules/vi/Makefile	2019-07-11 01:13:16.634395538 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/lib/iconv_modules/zh/Makefile	2019-07-11 01:13:17.080103259 +0000
+++ new/usr/src/lib/iconv_modules/zh/Makefile	2019-07-11 01:13:17.091287295 +0000
@@ -39,6 +39,8 @@
 
 all clean clobber install lint echo: $(SUBDIRS)
 
+.PARALLEL: $(SUBDIRS)
+
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
